/* Thanks for the Blank Screen for the code so I can implement something
 * for myself, and this might be necessary. */
const St = imports.gi.St;
const Main = imports.ui.main;
const Lang = imports.lang;
const Shell = imports.gi.Shell;
const PopupMenu = imports.ui.popupMenu;
const Util = imports.misc.util;
const GLib = imports.gi.GLib;

let item, menu;

function _onStartupClick() {
    let app = Util.spawn(['gnome-session-properties']);
    app.activate();
}

function init() {
    menu = Main.panel._statusArea.userMenu.menu;
}

function enable() {
    item = new PopupMenu.PopupMenuItem(_("Startup Application"));
    item.connect('activate', Lang.bind(item, _onStartupClick));
    let nItems = menu.numMenuItems;
    menu.addMenuItem(item, nItems - 1);
}

function disable() {
    if (item) {
        item.destroy();
    }
}
